Bug 198408 - [WebAuthn] Support more than two FIDO protocol versions
Summary: [WebAuthn] Support more than two FIDO protocol versions
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Major
Assignee: Jiewen Tan
URL:
Keywords: InRadar
Depends on:
Blocks: 181943
  Show dependency treegraph
 
Reported: 2019-05-30 21:21 PDT by Geoffrey
Modified: 2019-11-13 15:41 PST (History)
7 users (show)

See Also:


Attachments
Patch (5.72 KB, patch)
2019-09-10 16:06 PDT, Jiewen Tan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Geoffrey 2019-05-30 21:21:40 PDT
readCTAPGetInfoResponse rejects any list of versions with more than two elements, but this precludes any future FIDO versions from being added to the version list.
Now there are several Authenticators which have already supported this FIDO 2.1preview and have 3 protocols (["U2F_V2", "FIDO_2_0", "FIDO_2_1_PRE"]).
Comment 1 Geoffrey 2019-05-30 21:27:31 PDT
Chrome has fixed this bug, https://chromium-review.googlesource.com/c/chromium/src/+/1534868 .
Comment 2 Radar WebKit Bug Importer 2019-05-30 23:17:10 PDT
<rdar://problem/51292176>
Comment 3 Geoffrey 2019-08-12 01:36:46 PDT
Any update of this?
Comment 4 Jiewen Tan 2019-09-10 16:06:06 PDT
Created attachment 378504 [details]
Patch
Comment 5 Jiewen Tan 2019-09-16 15:58:29 PDT
Thanks, Chris.
Comment 6 WebKit Commit Bot 2019-09-16 16:27:32 PDT
The commit-queue encountered the following flaky tests while processing attachment 378504 [details]:

imported/w3c/web-platform-tests/IndexedDB/interleaved-cursors-large.html bug 201849
The commit-queue is continuing to process your patch.
Comment 7 WebKit Commit Bot 2019-09-16 16:28:17 PDT
Comment on attachment 378504 [details]
Patch

Clearing flags on attachment: 378504

Committed r249927: <https://trac.webkit.org/changeset/249927>
Comment 8 WebKit Commit Bot 2019-09-16 16:28:18 PDT
All reviewed patches have been landed.  Closing bug.